category's sort key doesn't change
Closed, ResolvedPublic

Description

Author: puzzlet

Description:
If you look at the URL(equivalent to [[en:Category:Latin letters]]), the sort
keys of the articles B, C, etc. are originally "*B", "*C", etc. I've changed
those back into "B", "C", etc., but it doesn't apply in the category page.


Version: 1.4.x
Severity: normal
URL: http://ko.wikipedia.org/wiki/%EB%B6%84%EB%A5%98:%EB%A1%9C%EB%A7%88_%EB%AC%B8%EC%9E%90

bzimport added a project: MediaWiki-Categories.Via ConduitNov 21 2014, 8:29 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2166.
bzimport created this task.Via LegacyMay 14 2005, 7:37 AM
bzimport added a comment.Via ConduitMay 14 2005, 8:01 AM

zigger wrote:

The category page renders as expected here now: 26 articles under 26 headings.

bzimport added a comment.Via ConduitMay 14 2005, 8:02 AM

puzzlet wrote:

Ah.. my description was not clear - that URL is the *Korean* equivalent to
[[en:Category:Latin letters]]. See [[ko:분류:로마 문자]].

bzimport added a comment.Via ConduitMay 14 2005, 8:04 AM

avarab wrote:

Changed the severity from 'major' to 'trivial' and the priority from 'high' to
'normal'.

brion added a comment.Via ConduitMay 14 2005, 8:40 AM

Moving severity to 'minor'. 'Trivial' is for things that can be very simply fixed by eg fixing a typo
in a localization file.

This looks like changing how category links are loaded and kept in cache will be required unless we
revert gwicke's entire incremental categorylinks update patch.

bzimport added a comment.Via ConduitMay 17 2005, 12:43 AM

zigger wrote:

*** Bug 2189 has been marked as a duplicate of this bug. ***

Eloquence added a comment.Via ConduitMay 20 2005, 3:37 AM

I don't consider this minor or trivial, particular as we have other bugs atm
which cause sort keys to be broken (notably #73). If you can't fix them later,
that's bad. Changing priority to normal for this reason.

bzimport added a comment.Via ConduitMay 23 2005, 2:39 PM

river wrote:

priority => high

bzimport added a comment.Via ConduitMay 25 2005, 6:52 AM

rl wrote:

I have just noticed that someone on en.wikipedia started to remove categories
from articles with one edit only to revert the change with the next edit. That
seems to be the current work-around for this bug. Needless to say, I agree that
fixing it is a rather high priority.

brion added a comment.Via ConduitMay 25 2005, 9:08 PM
  • Bug 2247 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitMay 25 2005, 9:28 PM

I've reverted the change which causes this bug in REL1_4, and things should be working
again on the main site from now on.

It still needs to be either fixed or reverted for 1.5, so leaving this open.

brion added a comment.Via ConduitMay 26 2005, 12:26 AM

I've fixed the system to take sortkey changes into account in HEAD. Resolving as FIXED.

Add Comment